# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['ic_toolkit_edd', 'ic_toolkit_edd.abstract']

package_data = \
{'': ['*']}

install_requires = \
['boto3', 'pandas', 'pymysql', 'typer[all]>=0.4.2,<0.5.0']

entry_points = \
{'console_scripts': ['ic = ic_toolkit_edd.main:app']}

setup_kwargs = {
    'name': 'ic-toolkit-edd',
    'version': '0.1.7',
    'description': '',
    'long_description': '# IC-ToolKit-EDD\n\n<img src="https://user-images.githubusercontent.com/71731452/177205395-ffe34180-5a7d-41f5-aba2-31ccc5b31031.gif" alt="exemplo imagem">\n\n> Esse projeto tem como objetivo facilitar a resolução de problemas da equipe de transformação.\n\n### Ajustes e melhorias\n\nÉ possivel implementar qualquer tipo de script nesse projeto\n\n## 💻 Pré-requisitos\n\nAntes de começar, verifique se você atendeu aos seguintes requisitos:\n<!---Estes são apenas requisitos de exemplo. Adicionar, duplicar ou remover conforme necessário--->\n* Você instalou uma versão do Python superior a 3.7\n* Você tem uma máquina `<Windows / Linux>`.\n\n## 🚀 Instalando IC-ToolKit-EDD\n\nPara instalar o IC-ToolKit-EDD, siga estas etapas:\n\nLinux:\n```\npip3 install ic-toolkit-edd\n```\n\nWindows:\n```\npip install ic-toolkit-edd\n```\n\nWindows / Linux:\n\nUse o comando abaixo para informar as credencias do seu banco MySQL.\n```\nic config\n```\n> Obs: Isso vai gerar um arquivo .credentials em uma pasta .intuitivecare\n\n<img src="https://user-images.githubusercontent.com/71731452/177249673-6373a5e5-8d13-4c70-8d2b-fefab60002db.svg" width=500>\n\n## ☕ Comandos IC-ToolKit-EDD\n\nUse o comando abaixo para calcular as hashs dos arquivos do diretório atual e gerar uma query para acompanhá-los na pipeline\n\n```\nic gethash\n```\n\n>Opções:\n>- `--sha256`: calcula os hashes usando o algoritmo SHA-256 ao invés do MD5 (Obs.: ao usar essa opção, não é gerada uma query)  \n\n> Obs: Apos a execução do comando, a query gerada será copiada para a área de transferência\n\n\n<img src="https://user-images.githubusercontent.com/71731452/177250804-c6833e17-9ec4-45a1-a166-6e07397f08d7.png" width=600>\n\n---\nUse o comando abaixo para baixar um ou mais arquivos da Amazon S3\n\n```\nic downorig <>\n```\n\n>Opções:\n> - `--tipo-id ou -t`: define o tipo dos IDs informados, podendo assumir um dentre os valores `original|parseado|padronizado|arquivo`\n> - `--output-path ou -o`: define o caminho do diretório para o qual os arquivos devem ser baixados \n>   - Valor padrão: diretório atual (`"."`)\n\n> Obs: Tambem é possivel baixar parseados e padronizados da mesma forma, utilizando os comandos downpars ou downpadr\n\n<img src="https://user-images.githubusercontent.com/71731452/177250567-1464f5fa-292b-4b60-963c-f0892867780d.svg" width=600>\n\n---\nUse o comando abaixo para fazer upload de um ou mais arquivos para o seu diretorio correto na Amazon S3\n\n```\nic upload\n```\n> Obs: Esse comando faz o upload de todos os arquivos do diretorio atual que contenham uma extenção compativel com nossas transformações.\n\n<img src="https://user-images.githubusercontent.com/94455042/178642229-3c392b88-430a-40fc-8c3d-c4c4b846660f.svg" width=600>\n\n---\nUse o comando abaixo para gerar um filtro para vizualizar um arquivo na plataforma.\n\n```\nic filtro\n```\n> Obs: Esse comando gera um filtro para a plataforma IC com base em um id_arquivo.\n\n<img src="https://user-images.githubusercontent.com/94455042/203675246-ac481c56-2d26-43b7-80a9-11c0c663dbde.svg" width=600>\n\nO comando abaixo pode ser utilizado para converter um ou mais documentos PDF em TXT usando a API da IC\n\n````commandline\nic cvtpdf <>\n````\n\n>Opções:\n> - `--input-path ou -i`: define o caminho para o PDF (ou diretório contendo arquivos PDF) a ser convertido para TXT\n>   - Valor padrão: diretório atual (`"."`)\n> - `--stripper ou -s`: define o *stripper* a ser utilizado para gerar o TXT, podendo assumir um dentre os valores `raw|layout|ordered_raw|ordered_layout`\n>   - Valor padrão: `raw`\n> - `--output-path ou -o`: define o caminho do diretório para o qual os arquivos devem ser baixados \n>   - Valor padrão: diretório atual (`"."`)\n\nUse o comando abaixo para gerar o código de equivalências (Python) a partir da planilha de equivalências\n\n```commandline\nic equiv\n```\n\nBasta entrar o nome do *Dataframe* de destino e copiar as três primeiras colunas da planilha de equivalência, pressionando enter logo em seguida.\nO código de equivalências será gerado e copiado para sua área de transferência.\n\n>Opções:\n> - `--destino ou -d`: define o nome do *Dataframe* de destino (também pode ser informado via prompt)\n> - `--origem ou -o`: define o nome do *Dataframe* de origem (opcional)\n>   - Valor padrão: `df`\n\nUse o comando abaixo para obter o *version_id* de um arquivo na S3:\n\n```commandline\nic verids3\n```\n\nBasta informar o *Bucket*, Prefixo e Nome do arquivo na S3 e o *version_id* será exibido na tela e copiado para sua área de transferência.\n\nUse o comando abaixo para baixar um arquivo qualquer na S3:\n\n```commandline\nic downs3\n```\n\nBasta informar o *Bucket*, Prefixo e Nome do arquivo na S3 e o arquivo será baixado no diretório de destino (por padrão, o diretório atual).\n\n>Opções:\n>  - `--output-path ou -o`: define o caminho do diretório para o qual os arquivos devem ser baixados \n>   - Valor padrão: diretório atual (`"."`)\n\nUse o comando abaixo para fazer o upload de um arquivo qualquer para a S3:\n\n```commandline\nic uploads3\n```\n\nBasta informar o *Bucket*, prefixo e, opcionalmente, o nome do objeto (definido, por padrão, como o mesmo nome do arquivo) a ser gerado na S3 para o arquivo. \n\n>Opções:\n>  - `--input-path ou -i`: define o caminho do arquivo a ser enviado para a s3 (também pode ser informado via prompt)\n\nUse o comando abaixo para executar o script de reexecução do @AndreMartinsIC para uma lista de arquivos:\n\n```commandline\nic reexec\n```\n\nBasta executar o comando e informar o passo do *pipeline* a ser reexecutado, o intervalo entre o disparo das requisições de reexecução e a lista de IDs dos arquivos a serem reprocessados.\nOs IDs podem estar separados por vírgulas ou espaços (verticais ou horizontais). Após entrar os IDs, basta pressionar enter duas vezes para disparar a reexecução.\n\n>Opções:\n>  - `--passo-pipeline ou -p`: define o passo da pipeline a ser reexecutado e pula esse prompt \n>  - `--tempo-intervalo ou -t`: define o tempo de espera após disparar cada requisição (em segundos) e pula esse prompt\n>    - Valor padrão: 30 segundos\n>  - `--mostrar-ids ou -i`: se essa flag for utilizada, os IDs de cada arquivo reprocessado são exibidos na tela\n\n\n## 🤝 Contribuindo\n\n### Adicionando novas funções\n\nPara adicionar novas funcionalidades acesse a documentação.\n\nhttps://typer.tiangolo.com/\n  \n',
    'author': 'Marcelo Assis',
    'author_email': '94455042+marceloapda@users.noreply.github.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
